#ifndef IMAGE_H
#define IMAGE_H

#include <jpeglib.h>

typedef struct
 {
  unsigned int w, h;
  JSAMPLE *data;
 } IMAGE;

extern void free_image(IMAGE *img);
extern int save_image(IMAGE *img, const char *filename);
extern IMAGE *load_image(const char *filename);
extern int resize_image(IMAGE *img, int w, int h);
extern IMAGE *duplicate_image(IMAGE *image);

#endif
